NetworksUpdate network metadata

Update network metadata

Partial update of network metadata (admin): name, description, logoUri (logo), type (network type). coinType/code/slug are immutable, since addresses, tokens, and webhook matching reference them.

curl -X PATCH "https://policy-engine-rest.ezig.workers.dev/api/v1/networks/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "name": "John Doe",
  "description": "example_string",
  "logoUri": "example_string",
  "type": "example_string"
}'
{
  "id": "cmr3f41z20001psp7phmyapw3",
  "coinType": 195,
  "code": "tron_network",
  "slug": "tron",
  "name": "Tron",
  "description": "example_string",
  "logoUri": "https://cdn.example.com/networks/tron.png",
  "type": "TRON",
  "createdAt": "2026-07-02T11:25:15.134000Z",
  "updatedAt": "2026-07-02T11:25:15.134000Z"
}
PATCH
/api/v1/networks/{id}
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

path
idstring
Required

Network id (cuid)

Content-Typestring
Required

The media type of the request body

Options: application/json
namestring
Min length: 1
logoUristring

Logo link; null clears it

typestring

Network type, e.g. "TRON", "EVM"; null clears it

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

idstring
Required

Network id (cuid)

Body

application/json
logoUristring

Logo link; null clears it

typestring

Network type, e.g. "TRON", "EVM"; null clears it

Responses

idstring
Required

cuid

coinTypeinteger
Required

SLIP-0044 coin type; goes into the derivation path after m/44/. Globally unique

codestring
Required
slugstring
Required

External/on-chain network name; used in Address.network, Token, and the webhook. Unique

namestring
Required
descriptionstring
Required
logoUristring
Required

Link to the network's logo image

typestring
Required

Network type (free-form string)

createdAtstring
Required
updatedAtstring
Required